/*!
Theme Name: Ranger Pet Doors
Template: kadence
Author: WP Allied
Author URI: https://wpallied.com/
Description: A child theme for the Kadence Theme.
Version: 1.0.0
Text Domain: rangerpetdoors
*/


/* Defaults
---------------------------------------------------------------------------- */

/* Typographical Elements
--------------------------------------------- */

:root {
	--global-md-spacing: 1.5rem;
}


/* Site Header
---------------------------------------------------------------------------- */

.site-header {
	box-shadow: 0px 4px 24px 0px rgba(142, 142, 142, 0.10);
}

/* [JoeLyman] - Reset max-width to use site default */
#main-header .site-container {
	//max-width: 1680px;
}

/* [JoeLyman] - Updated breakpoints for site header to prevent text collapsing */
@media (max-width: 1320px){
	#main-header .site-container {
		display:none;
	}
	
	#mobile-header {
		display: block;
	}
}

/* [JoeLyman] - Added cart button to secondary navigation, ignore first child for divider */
#main-header .secondary-navigation .menu-item:not(:first-child) {
	border-left: 1px solid #e2e2e2;
}


/* Plugins
---------------------------------------------------------------------------- */

/* Yoast
--------------------------------------------- */

.yoast-breadcrumbs {
	font-size: 14px;
}


/* Shop Kit
--------------------------------------------- */

/* Variations Swatches */
.woocommerce div.product form.cart .variations label {
	font-size: 16px;
	font-weight: 500;
}



/* WooCommerce
---------------------------------------------------------------------------- */

/* Notices
--------------------------------------------- */

.woocommerce .woocommerce-message {
	background-color: #dcefb9;
	border: 1px solid var(--global-palette2);
	border-radius: 8px;
	color: var(--global-palette2);
	font-size: 1rem;
	padding: 0.5rem 1.5rem;
}

.woocommerce .woocommerce-message a {
	color: var(--global-palette2);
	text-decoration: underline;
	text-decoration-thickness: 2px;
	text-underline-offset: 2px;
}

.woocommerce .woocommerce-message .button {
	background-color: transparent;
	border-radius: 0;
	box-shadow: none;
	color: var(--global-palette2);
	padding: 0.5rem;
	text-decoration: underline;
	text-decoration-thickness: 2px;
	text-underline-offset: 2px;
}



/* Core Blocks
---------------------------------------------------------------------------- */

/* Image
--------------------------------------------- */

.wp-block-image figcaption {
	font-size: 14px;
	text-align: left;
}

/* Table
--------------------------------------------- */

.wp-block-table thead {
	background-color: var(--global-palette8);
	border: none;
	color: var(--global-palette2);
	text-align: left;
}

.wp-block-table th {
	border: none;
}

.wp-block-table tr:nth-child(even) {
	background-color: #fafafa;
}

.wp-block-table td {
	border: none;
}


/* Kadence Blocks
---------------------------------------------------------------------------- */

/* Accordion
--------------------------------------------- */

.wp-block-kadence-accordion.is-style-numbered .wp-block-kadence-pane {
	counter-increment: kb-accordion;
	padding-left: 10px;
	position: relative;
}

.wp-block-kadence-accordion.is-style-numbered .wp-block-kadence-pane .kt-blocks-accordion-header {
	font-weight: 600;
}

//.wp-block-kadence-accordion.is-style-numbered .wp-block-kadence-pane .kt-blocks-accordion-header::before {
//	color: #a3d55f;
//	content: counter(kb-accordion, decimal-leading-zero);
//	font-size: 32px;
//	font-weight: 700;
//	width: 76px;
//}

.wp-block-kadence-accordion.is-style-numbered .wp-block-kadence-pane .kt-accordion-header-wrap {
	margin-top: 0 !important;
}



/* Single Page
---------------------------------------------------------------------------- */

.entry-header {
	margin-top: 0.5rem;
	margin-bottom: 1.5rem;
}

/* Full width layout
--------------------------------------------- */

body.content-width-full .entry-header {
	margin-inline: auto;
	max-width: var(--global-content-width);
	padding: 0 var(--global-content-edge-padding);
}



/* Single Product
---------------------------------------------------------------------------- */

/* Add to Cart form
--------------------------------------------- */

.single-product .variations .kad_radio_variations label {
	border-color: #e2e2e2 !important;
	border-width: 2px;
	cursor: pointer;
	margin: 4px;
	padding: 4px;
}

.single-product .variations .kad_radio_variations input[type=radio]:checked + label {
	border-color: var(--global-palette2) !important;
}

.single-product .variations .kad_radio_variations[name="attribute_pa_size"] .kadence-wp-tips-container {
	width: 50px !important;
	height: 50px !important;
}

.single-product .variations .kad_radio_variations[name="attribute_pa_flap-color"] label,
.single-product .variations .kad_radio_variations[name="attribute_pa_flap-color"] img,
.single-product .variations .kad_radio_variations[name="attribute_pa_frame-color"] label,
.single-product .variations .kad_radio_variations[name="attribute_pa_frame-color"] .kadence-wp-tips-container {
	border-radius: 100%;
}

.single-product .variations .reset_variations {
	display: none !important;
}

.single-product .variations_form .woocommerce-variation-add-to-cart {
	margin-top: 1.5em !important;
}

.single-product .single_variation_wrap .stock.in-stock {
	background-color: #F1F9E4;
	font-size: 16px;
	font-weight: 600;
	padding: 8px 24px;
}

/* Tabs
--------------------------------------------- */

.woocommerce-tabs ul.tabs li a {
	font-weight: 500 !important;
	font-size: 22px !important;
}

.woocommerce-tabs .panel {
	font-size: 22px;
}

.woocommerce-tabs .panel p {
	margin-top: 0;
	margin-bottom: var(--global-md-spacing);
}

/* Tabs - FAQs
--------------------------------------------- */

.woocommerce .wc-tab .wp-block-kadence-accordion.product-faq .kt-accordion-header-wrap {
	margin-top: 0 !important;
}

/* Tabs - Reviews
--------------------------------------------- */

.woocommerce #reviews #comments {
	float: none;
	width: 100%;
}

.woocommerce #reviews #comments h2 {
	font-size: 32px;
	font-weight: 500;
	line-height: 1.4;
	margin-bottom: 40px;
	text-align: center;
}

/* Reviews list */
.woocommerce #reviews #comments ol.commentlist li {
	border: 1px solid #c1e089;
	border-radius: 4px;
	padding: 24px 32px;
}

.woocommerce #reviews #comments ol.commentlist li + li {
	margin-top: 30px;
}

.woocommerce #reviews #comments ol.commentlist li img.avatar {
	border: 0;
	position: absolute;
	top: 0;
	width: 56px;
	height: 56px;
}

.woocommerce #reviews #comments ol.commentlist li .comment_container {
	position: relative;
}

.woocommerce #reviews #comments ol.commentlist li .comment-text {
	border: 0;
	margin: 0;
	padding: 0;
}

.woocommerce #reviews #comments ol.commentlist li .comment-text .meta {
	min-height: 56px;
	padding-left: 72px;
}

.woocommerce #reviews #comments ol.commentlist li .comment-text .woocommerce-review__author {
	color: var(--global-palette4);
	font-weight: 600;
}

.woocommerce #reviews #comments ol.commentlist li .comment-text .woocommerce-review__dash {
	display: none;
}

.woocommerce #reviews #comments ol.commentlist li .comment-text .woocommerce-review__published-date {
	color: #98a2b3;
	display: block;
}

.woocommerce #reviews #comments ol.commentlist li .comment-text .star-rating {
	color: #f0c040;
	float: none;
	margin-bottom: 1em;
}

.woocommerce #reviews #comments ol.commentlist li .comment-text .description {
	font-size: 16px;
}

/* Add Review form */
.woocommerce #reviews #review_form_wrapper {
	float: none;
	width: 100%;
}

.woocommerce #review_form #respond {
	background-color: #fafafa;
	padding: 56px 64px;
}

.woocommerce #review_form #respond input[type="text"],
.woocommerce #review_form #respond input[type="email"],
.woocommerce #review_form #respond textarea {
	border: 1px solid #e2e2e2;
	border-radius: 4px;
}

.woocommerce #review_form #respond .comment-form-author {
	float: left;
	width: 48%;
}

.woocommerce #review_form #respond .comment-form-email {
	float: right;
	width: 48%;
}

.woocommerce #review_form #respond .comment-form-author input,
.woocommerce #review_form #respond .comment-form-email input {
	width: 100%;
}

.woocommerce #review_form #respond .comment-form-cookies-consent {
	clear: both;
}



/* Cart Page
---------------------------------------------------------------------------- */

/* General
--------------------------------------------- */

.woocommerce-cart .kadence-woo-cart-form-wrap .cart-summary {
	display: none;
}

/* Table
--------------------------------------------- */

.woocommerce-cart .kadence-woo-cart-form-wrap .woocommerce-cart-form table {
	border-spacing: 0 8px;
	font-size: 1.125rem;
}

.woocommerce-cart .kadence-woo-cart-form-wrap .woocommerce-cart-form thead th {
	color: var(--global-palette4);
	font-size: 1.25rem;
	font-weight: 600;
	line-height: 1.2;
}

.woocommerce-cart .kadence-woo-cart-form-wrap .woocommerce-cart-form tbody tr:not(:last-child) {
	background-color: #F2F4F7;
	border-top: 16px solid #fff;
}

.woocommerce-cart .kadence-woo-cart-form-wrap .woocommerce-cart-form tbody tr:first-child {
	border-top: 8px solid #fff;
}

.woocommerce-cart .kadence-woo-cart-form-wrap .woocommerce-cart-form tbody tr td {
	border-top: 0;
}

.woocommerce-cart .kadence-woo-cart-form-wrap .woocommerce-cart-form button[name="update_cart"] {
	display: none;
}

/* Product column
--------------------------------------------- */

@media (min-width: 768px) {
	.woocommerce-cart .kadence-woo-cart-form-wrap td.product-thumbnail {
		width: 150px;
	}
}

.woocommerce-cart .kadence-woo-cart-form-wrap td.product-thumbnail img {
	width: 100%;
}

.woocommerce-cart .kadence-woo-cart-form-wrap td.product-name a {
	color: var(--global-palette4);
	font-weight: 500;
	text-decoration: none;
}

.woocommerce-cart .kadence-woo-cart-form-wrap td.product-name dl.variation {
	font-size: 0.875rem;
	line-height: 1.25;
}

/* Cart totals
--------------------------------------------- */

.woocommerce-cart .kadence-woo-cart-form-wrap .cart-collaterals h2 {
	font-size: 1.25rem;
	padding: 9px 12px;
	margin: 0;
}

.woocommerce-cart .kadence-woo-cart-form-wrap .cart-collaterals table {
	border-spacing: 0 8px;
	font-size: 1.125rem;
}

.woocommerce-cart .kadence-woo-cart-form-wrap .cart-collaterals tr {
	background-color: #F2F4F7;
}

.woocommerce-cart .kadence-woo-cart-form-wrap .cart-collaterals tr th,
.woocommerce-cart .kadence-woo-cart-form-wrap .cart-collaterals tr td {
	border: 0;
}

.woocommerce-cart .kadence-woo-cart-form-wrap .cart-collaterals .shipping-calculator-button {
	margin-top: 0;
	text-decoration: none;
}

.woocommerce-cart .kadence-woo-cart-form-wrap .cart-collaterals .checkout-button {
	background-color: #ff9900;
	font-weight: 700;
	padding: 14px 32px 14px 32px;
}

.woocommerce-cart .kadence-woo-cart-form-wrap .cart-collaterals .checkout-button:hover,
.woocommerce-cart .kadence-woo-cart-form-wrap .cart-collaterals .checkout-button:focus {
	background-color: #ff9900;
}



/* Reviews Page
---------------------------------------------------------------------------- */

@media (min-width: 768px) {
	.reviews-masonry__entries {
		display: block;
		column-count: 2;
		column-gap: 2rem;
		orphans: 1;
		widows: 1;
	}
}

@media (min-width: 1024px) {
	.reviews-masonry__entries {
		column-count: 3;
	}
}

.reviews-masonry__entries .wp-block-post {
	margin-bottom: 2rem;
}

@media (min-width: 768px) {
	.reviews-masonry__entries .wp-block-post {
		display: inline-block;
		width: 100%;
	}
}
